## dnstwist 0~20201228

=== requirements.txt ===
GeoIP>=1.3.2
dnspython>=1.14.0
requests>=2.20.0
#ssdeep>=3.1
ppdeep>=20200505
whois>=0.7
tld>=0.9.1

## dnstwist 0~20200707

=== debian/changelog ===
dnstwist (0~20200707-1) unstable; urgency=medium

  * New upstream version 0~20200707
  * d/patches: Drop fix-man-page-spelling-error and fix-man-page-warning
  * Switch to pybuild build system
  * d/dnstwist.install: Drop tools directory (removed upstream)
  * Install web app and add python3-flask as suggested package
  * Patch out jquery CDN embedded in the web app
  * d/control: Bump debhelper-compat level to 13
  * d/tests: Adjust testdebiandomain to output format of version 20200707
  * d/control: Change python3-* dependencies from Depends to Recommends
  * d/tests/control: Add recommended dnstwist dependencies to test dependencies
  * d/tests/control: Allow stderr because dnspython 2.0.0 introduces a
    deprecation warning on stderr. Thanks to Scott Kitterman. (closes: #968246)

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 12 Aug 2020 17:37:20 +0200

dnstwist (0~20200424-1) unstable; urgency=medium

  * New upstream version 0~20200424
  * d/tests/testdebiandomain: Allow for SMTP information
  * d/patches: Drop obsolete patch adjust-paths-to-debian-installation-paths
  * d/copyright: Remove obsolete Files-Excluded: database
  * d/copyright: Update copyright years for upstream code
  * d/dnstwist.manpages: Switch to new man page provided by upstream
  * d/tests/control: Add Restrictions: needs-internet (closes: #958735)
  * d/tests/testdebiandomain: Allow for !ServFail replies
  * d/patches: Fix man page warning: macro '"' not defined
  * d/patches: Fix man page spelling error: allows to -> allows one to
  * d/control: Replace dependency: publicsuffix -> python3-tld

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 26 Apr 2020 21:01:05 +0200

dnstwist (0~20190706+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #948237)

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 22 Mar 2020 10:53:23 +0100

=== debian/control ===
Source: dnstwist
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Peter Wienemann <fossdev@posteo.de>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/elceef/dnstwist
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnstwist.git

Package: dnstwist
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dnspython,
            python3-geoip,
            python3-whois,
            python3-requests,
            python3-ssdeep,
            python3-tld
Suggests: python3-flask,
          libjs-jquery
Description: Domain name permutation engine
 dnstwist generates a list of similarly looking domain names for
 a given domain name and performs DNS queries for them (A, AAAA,
 NS and MX). For MX records it checks whether there is an active mail
 server which could be used to intercept misdirected emails.
 Additionally it estimates webpage similarity based on fuzzy hashes.
 This functionality might be helpful in detecting typosquatters, phishing
 attacks, fraud and corporate espionage.

=== debian/tests/control ===
Tests: testdebiandomain
Depends: dnstwist,
         python3-dnspython,
         python3-geoip,
         python3-whois,
         python3-requests,
         python3-ssdeep,
         python3-tld,
         libregexp-ipv6-perl
Restrictions: needs-internet,
              allow-stderr

## dnstwist 0~20201022

=== debian/changelog ===
dnstwist (0~20201022-1) unstable; urgency=medium

  * New upstream version 0~20201022
  * d/tests/testdebiandomain: Adjust HTTP and SMTP banner format

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 24 Oct 2020 12:24:37 +0200

dnstwist (0~20200916-1) unstable; urgency=medium

  * New upstream version 0~20200916
  * Override Lintian tag package-contains-documentation-outside-usr-share-doc.
    Lintian wrongly considered webapp.html as documentation.
  * d/tests/control: Remove allow-stderr workaround. There is no deprecation
    warning anymore because upstream has added dnspython 2.x support.

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 20 Sep 2020 20:26:43 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,4 @@
          python3-ssdeep,
          python3-tld,
          libregexp-ipv6-perl
-Restrictions: needs-internet,
-              allow-stderr
+Restrictions: needs-internet

## dnstwist 0~20201228

=== debian/changelog ===
dnstwist (0~20201228-1) unstable; urgency=medium

  * New upstream version 0~20201228
  * Bump Standards-Version to 4.5.1 (no changes required)
  * Add python3-idna as recommended package
  * d/dnstwist.docs: Include new dnstwist logo (*.png)
  * Complete overhaul of autopkgtest "testdebiandomain",
    adjust dependencies in d/tests/control correspondingly
  * wrap-and-sort packaging files

 -- Peter Wienemann <fossdev@posteo.de>  Tue, 29 Dec 2020 23:45:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/elceef/dnstwist
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist
@@ -15,16 +15,15 @@
 
 Package: dnstwist
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: python3-dnspython,
             python3-geoip,
-            python3-whois,
+            python3-idna,
             python3-requests,
             python3-ssdeep,
-            python3-tld
-Suggests: python3-flask,
-          libjs-jquery
+            python3-tld,
+            python3-whois
+Suggests: libjs-jquery, python3-flask
 Description: Domain name permutation engine
  dnstwist generates a list of similarly looking domain names for
  a given domain name and performs DNS queries for them (A, AAAA,

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE=1
# switch on verbose pybuild output
export PYBUILD_VERBOSE=1

export PYBUILD_NAME=dnstwist

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: testdebiandomain
Depends: jq,
         python3-demjson,
         python3-dnspython,
         python3-geoip,
         python3-idna,
         python3-requests,
         python3-ssdeep,
         python3-tld,
         python3-whois,
         @
Restrictions: needs-internet

## dnstwist 0~20220131

=== requirements.txt ===
GeoIP>=1.3.2
dnspython>=1.16.0
#ssdeep>=3.1
ppdeep>=20200505
whois>=0.8
tld>=0.9.1
idna>=2.8

=== debian/changelog ===
dnstwist (0~20220131-1) unstable; urgency=medium

  * New upstream version 0~20220131
  * d/control: Add ca-certificates as recommended dependency
  * d/t/control: Add ca-certificates as dependency

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 05 Feb 2022 20:26:28 +0100

dnstwist (0~20220120-1) unstable; urgency=medium

  * New upstream version 0~20220120
  * d/control: Drop python3-requests as recommended dependency
  * d/t/testdebiandomain:
    - Add --whois to test run options
    - Switch to common_tlds.dict dictionary for test run
  * Update Debian packaging copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 22 Jan 2022 19:34:35 +0100

dnstwist (0~20211204-1) unstable; urgency=medium

  * New upstream version 0~20211204
  * Refresh patch to remove embedded jquery CDN
  * d/rules: Ensure __pycache__ and egg-info directories are cleaned up
  * d/t/testdebiandomain: Adjust to upstream's attribute name changes
  * d/control: Bump Standards-Version to 4.6.0
  * Update Debian packaging copyright years
  * Run 'wrap-and-sort -ask' on packaging files

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 05 Dec 2021 19:24:28 +0100

=== debian/control ===
Source: dnstwist
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Peter Wienemann <fossdev@posteo.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/elceef/dnstwist
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnstwist.git

Package: dnstwist
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 ca-certificates,
 python3-dnspython,
 python3-geoip,
 python3-idna,
 python3-ssdeep,
 python3-tld,
 python3-whois
Suggests:
 libjs-jquery,
 python3-flask
Description: Domain name permutation engine
 dnstwist generates a list of similarly looking domain names for
 a given domain name and performs DNS queries for them (A, AAAA,
 NS and MX). For MX records it checks whether there is an active mail
 server which could be used to intercept misdirected emails.
 Additionally it estimates webpage similarity based on fuzzy hashes.
 This functionality might be helpful in detecting typosquatters, phishing
 attacks, fraud and corporate espionage.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf __pycache__ dnstwist.egg-info

=== debian/tests/control ===
Tests: testdebiandomain
Depends:
 ca-certificates,
 jq,
 python3-demjson,
 python3-dnspython,
 python3-geoip,
 python3-idna,
 python3-requests,
 python3-ssdeep,
 python3-tld,
 python3-whois,
 @
Restrictions: needs-internet

## dnstwist 0~20220815

=== debian/changelog ===
dnstwist (0~20220815-1) unstable; urgency=medium

  * New upstream version 0~20220815
  * Update Lintian override to get rid of mismatched-override warning
  * Override Lintian error that source for webapp.html is missing
  * Bump Standards-Version to 4.6.1 (no changes required)
  * Add python3-pil and python3-selenium to recommended dependencies
  * Test new options --phash and --screenshots during autopkgtest
  * Drop unnecessary autopkgtest dependency python3-requests

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 20 Aug 2022 18:15:16 +0200

dnstwist (0~20220131-2) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * d/t/testdebiandomain:
    - Correctly handle missing fields in GENUINE_DOMAINS
    - Ensure sorting before using uniq
    (LP: #1973220)

  [ Peter Wienemann ]
  * d/t/testdebiandomain:
    - Fix typo in comment
    - Minor cosmetic change
  * d/salsa-ci.yml: Run reprotest with diffoscope

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 18 May 2022 21:33:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/elceef/dnstwist
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist
@@ -25,6 +25,8 @@
  python3-dnspython,
  python3-geoip,
  python3-idna,
+ python3-pil,
+ python3-selenium,
  python3-ssdeep,
  python3-tld,
  python3-whois

## dnstwist 0~20221022

=== debian/changelog ===
dnstwist (0~20221022-1) unstable; urgency=medium

  * New upstream version 0~20221022
  * Rename tag in Lintian overrides: no signature check in watch file

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 30 Oct 2022 15:03:23 +0100

## dnstwist 0~20221213

=== requirements.txt ===
#GeoIP>=1.3.2
geoip2>=4.0.0
dnspython>=1.16.0
#ssdeep>=3.1
ppdeep>=20200505
whois>=0.8
tld>=0.9.1
idna>=2.8

=== debian/changelog ===
dnstwist (0~20221213-1) unstable; urgency=medium

  * New upstream version 0~20221213
  * Bump Standards-Version to 4.6.2 (no changes required)

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 24 Dec 2022 16:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/elceef/dnstwist
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist

=== debian/tests/control ===
Tests: testdebiandomain
Depends:
 ca-certificates,
 chromium-driver,
 jq,
 python3-demjson,
 python3-dnspython,
 python3-geoip,
 python3-idna,
 python3-pil,
 python3-selenium,
 python3-ssdeep,
 python3-tld,
 python3-whois,
 @
Restrictions: needs-internet

## dnstwist 0~20230509

=== requirements.txt ===
#GeoIP>=1.3.2
geoip2>=4.0.0
dnspython>=1.16.0
#ssdeep>=3.1
ppdeep>=20200505
py-tlsh>=4.5.0
whois>=0.8
tld>=0.9.1
idna>=2.8
#Pillow>=7.0.0
#selenium>=4.0.0

=== debian/changelog ===
dnstwist (0~20230509-1) unstable; urgency=medium

  * New upstream version 0~20230509
  * Update patch patch-out-embedded-jquery-cdn
  * Add patch to adapt to changes in pillow 10.0.0
    (Closes: #1040628, LP: #2027963)
  * Add python3-tlsh as recommended dependency
  * Use TLSH instead of ssdeep as hash in autopkgtest.
    Adjust test dependencies accordingly.
  * Update copyright years for upstream code and Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Tue, 18 Jul 2023 20:28:38 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-selenium,
  python3-ssdeep,
  python3-tld,
+ python3-tlsh,
  python3-whois
 Suggests:
  libjs-jquery,

=== debian/tests/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  python3-idna,
  python3-pil,
  python3-selenium,
- python3-ssdeep,
  python3-tld,
+ python3-tlsh,
  python3-whois,
  @
 Restrictions: needs-internet

## dnstwist 0~20240116

=== debian/changelog ===
dnstwist (0~20240116-1) unstable; urgency=medium

  * New upstream version 0~20240116
  * Update patches
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 07 Feb 2024 17:38:59 +0100

dnstwist (0~20230918-1) unstable; urgency=medium

  * New upstream version 0~20230918
  * Drop patch issue194 (applied upstream)
  * d/control and d/tests/control:
    Drop obsolete (recommended) dependency on python3-whois

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 30 Sep 2023 18:44:58 +0200

dnstwist (0~20230509-2) unstable; urgency=medium

  [ Peter Wienemann ]
  * d/t/testdebiandomain:
    - Consider all DNS entries in analysis
    - Stop checking number of different genuine DNS records
  * Fix typo and perform cosmetic change for chromedriver patch

  [ Carsten Schoenert ]
  * Add patch to set selenium driver binary manually to chromedriver
    (Closes: #1043586)

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 19 Aug 2023 22:00:18 +0200

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,7 @@
  python3-selenium,
  python3-ssdeep,
  python3-tld,
- python3-tlsh,
- python3-whois
+ python3-tlsh
 Suggests:
  libjs-jquery,
  python3-flask

## dnstwist 0~20240812

=== debian/changelog ===
dnstwist (0~20240812-1) unstable; urgency=medium

  * New upstream version 0~20240812
  * Update my email address in uploaders field
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Sat, 17 Aug 2024 15:40:53 +0200

## dnstwist 0~20250130

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #ssdeep>=3.1
 ppdeep>=20200505
 py-tlsh>=4.5.0
-whois>=0.8
 tld>=0.9.1
 idna>=2.8
 #Pillow>=7.0.0

=== debian/changelog ===
dnstwist (0~20250130-1) unstable; urgency=medium

  * New upstream version 0~20250130
  * Update patches
  * Update copyright for Debian packaging
    - Bump copyright years
    - Update email address

 -- Peter Wienemann <wiene@debian.org>  Sat, 15 Feb 2025 15:48:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
- Peter Wienemann <fossdev@posteo.de>
+ Peter Wienemann <wiene@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/elceef/dnstwist
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnstwist

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,5 @@
  python3-selenium,
  python3-tld,
  python3-tlsh,
- python3-whois,
  @
 Restrictions: needs-internet

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%,uversionmangle=s%^%0~%,dversionmangle=s%\+ds\d*$%%,repacksuffix=+ds1,repack,compression=xz" \
   https://github.com/elceef/dnstwist/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
